petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexSetPartitioner

Set the mesh partitioner

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetPartitioner(DM dm, PetscPartitioner part)

logically collective on dm

### Input Parameters

| dm | - The DM
| part | - The partitioner

Note: Any existing PetscPartitioner will be destroyed.

### See Also

DMPlexDistribute(), DMPlexGetPartitioner(), PetscPartitionerCreate()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages